#pragma once

#include "ofMain.h"

#define OF_ADDON_USING_OFXVECTORMATH
#define OF_ADDON_USING_OFXOPENCV

#include "ofAddons.h"

#include "cardDef.h"
#include "cvCardAnalysis.h"

class cardIdentifier{

	public:
	
	//-----------------------------
	cardIdentifier();
	
	void setup();
	void processCard(card & cardIn, ofxCvGrayscaleImage &greyFrame, ofxCvColorImage &colorFrame);	
	void processCard(card & cardIn, cardImageSet & cardOut, ofxCvGrayscaleImage &greyFrame, ofxCvColorImage &colorFrame, bool doColorOperationsThisFrame = false);	 // **
	
	cvCardAnalysis cardAnal;

};


// ** this is because I need cards with images, so here's where we get pixels into a card representation.  


